# frozen_string_literal: true
require 'test_helper'

class QuizTest < ActiveSupport::TestCase
  test "all_active only returns quizzes with questions" do
    empty_quiz = quizzes(:empty_quiz)
    quizzes = Quiz.all_active

    refute quizzes.any? { |q| q.id == empty_quiz.id }
  end
end
